# Index

Symbols | A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | R | S | T | V | W

## Symbols

- --allow-boot-library-installs
  - cabal project option
- --allow-newer
  - cabal project option
  - command line option
- --allow-older
  - cabal project option
  - command line option
- --augment
  - command line option
- --benchmark-option
  - runhaskell-Setup.hs-test command line option
- --benchmark-options
  - runhaskell-Setup.hs-test command line option
- --bindir
  - runhaskell-Setup.hs-configure command line option
- --build-depends
  - command line option
- --build-summary
  - cabal project option
- --builddir
  - command line option
  - runhaskell-Setup.hs-repl-[COMPONENT]-[FLAGS] command line option
  - runhaskell-Setup.hs-test command line option
- --cabal-lib-version
  - cabal project option
- --cid
  - runhaskell-Setup.hs-configure command line option
- --compiler
  - cabal project option
- --config-file
  - command line option
- --configure-option
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --constraint
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --count-conflicts
  - cabal project option
- --css
  - runhaskell-Setup.hs-haddock command line option
  - runhaskell-Setup.hs-hscolour command line option
- --datadir
  - runhaskell-Setup.hs-configure command line option
- --datasubdir
  - runhaskell-Setup.hs-configure command line option
- --default-user-config
  - command line option
- --dependency
  - runhaskell-Setup.hs-configure command line option
- --destdir
  - command line option
  - runhaskell-Setup.hs-copy command line option
- --disable-benchmarks
  - cabal project option
  - command line option
- --disable-build-info
  - cabal project option
  - command line option
- --disable-coverage
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-debug-info
  - cabal project option
- --disable-documentation
  - cabal project option
- --disable-executable-dynamic
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-executable-profiling
  - cabal project option
- --disable-executable-static
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-executable-stripping
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-library-coverage
  - cabal project option
- --disable-library-for-ghci
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-library-profiling
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-library-stripping
  - cabal project option
- --disable-library-vanilla
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-multi-repl
  - command line option
- --disable-optimization
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-profiling
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-profiling-shared
  - runhaskell-Setup.hs-configure command line option
- --disable-response-files
  - runhaskell-Setup.hs-configure command line option
- --disable-shared
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-split-objs
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-split-sections
  - cabal project option
- --disable-static
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --disable-tests
  - cabal project option
  - command line option
  - runhaskell-Setup.hs-configure command line option
- --doc-index-file
  - cabal project option
- --docdir
  - runhaskell-Setup.hs-configure command line option
- --documentation
  - command line option
- --dry-run
  - command line option
- --dynlibdir
  - runhaskell-Setup.hs-configure command line option
- --enable-benchmarks
  - cabal project option
- --enable-build-info
  - cabal project option
  - command line option
- --enable-coverage
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-debug-info[
  - cabal project option
- --enable-documentation
  - cabal project option
- --enable-executable-dynamic
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-executable-profiling
  - cabal project option
- --enable-executable-static
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-executable-stripping
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-library-coverage
  - cabal project option
- --enable-library-for-ghci
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-library-profiling
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-library-stripping
  - cabal project option
- --enable-library-vanilla
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-multi-repl
  - command line option
- --enable-optimization
  - runhaskell-Setup.hs-configure command line option
- --enable-profiling
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-profiling-shared
  - runhaskell-Setup.hs-configure command line option
- --enable-shared
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-split-objs
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-split-sections
  - cabal project option
- --enable-static
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --enable-tests
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --exact-configuration
  - runhaskell-Setup.hs-configure command line option
- --executables
  - runhaskell-Setup.hs-haddock command line option
  - runhaskell-Setup.hs-hscolour command line option
- --exit-code
  - command line option
- --extra-framework-dirs
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --extra-include-dirs
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --extra-lib-dirs
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --extra-prog-path
  - cabal project option
- --fine-grained-conflicts
  - cabal project option
- --flags
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --force
  - command line option
- --freeze-file
  - command line option
- --gen-pkg-config
  - runhaskell-Setup.hs-register command line option
- --gen-script
  - runhaskell-Setup.hs-register command line option
  - runhaskell-Setup.hs-unregister command line option
- --ghc
  - runhaskell-Setup.hs-configure command line option
- --ghcjs
  - runhaskell-Setup.hs-configure command line option
- --global
  - runhaskell-Setup.hs-configure command line option
  - runhaskell-Setup.hs-install command line option
  - runhaskell-Setup.hs-register command line option
  - runhaskell-Setup.hs-unregister command line option
- --haddock-all
  - cabal project option
- --haddock-benchmarks
  - cabal project option
- --haddock-contents-location
  - cabal project option
- --haddock-css
  - cabal project option
- --haddock-executables
  - cabal project option
- --haddock-hoogle
  - cabal project option
- --haddock-hscolour-css
  - cabal project option
- --haddock-html
  - cabal project option
- --haddock-html-location
  - cabal project option
- --haddock-hyperlink-source
  - cabal project option
- --haddock-internal
  - cabal project option
- --haddock-output-dir
  - cabal project option
- --haddock-quickjump
  - cabal project option
- --haddock-resources-dir
  - cabal project option
- --haddock-tests
  - cabal project option
- --haddock-use-unicode
  - cabal project option
- --haskell-suite
  - runhaskell-Setup.hs-configure command line option
- --help
  - setup command line option
- --hoogle
  - runhaskell-Setup.hs-haddock command line option
- --hscolour-css
  - runhaskell-Setup.hs-haddock command line option

- --html-location
  - runhaskell-Setup.hs-haddock command line option
- --htmldir
  - runhaskell-Setup.hs-configure command line option
- --http-transport
  - cabal project option
- --hyperlink-source
  - runhaskell-Setup.hs-haddock command line option
- --ignore
  - command line option, [1]
- --ignore-case
  - command line option
- --ignore-expiry
  - cabal project option
- --ignore-project
  - command line option
- --index-state
  - command line option
- --inplace
  - runhaskell-Setup.hs-register command line option
- --installed
  - command line option
- --interactive
  - command line option
- --internal
  - runhaskell-Setup.hs-haddock command line option
- --ipid
  - runhaskell-Setup.hs-configure command line option
- --keep-going
  - cabal project option
- --libdir
  - runhaskell-Setup.hs-configure command line option
- --libexecdir
  - runhaskell-Setup.hs-configure command line option
- --libexecsubdir
  - runhaskell-Setup.hs-configure command line option
- --library-profiling-detail
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --libsubdir
  - runhaskell-Setup.hs-configure command line option
- --list-only
  - command line option
- --logs-dir
  - cabal project option
- --max-backjumps
  - cabal project option
- --minimal
  - command line option
- --minimize-conflict-set
  - cabal project option
- --minor[PKGS]
  - command line option
- --no-allow-boot-library-installs
  - cabal project option
- --no-count-conflicts
  - cabal project option
- --no-dependencies
  - command line option
- --no-fine-grained-conflicts
  - cabal project option
- --no-minimize-conflict-set
  - cabal project option
- --no-prefer-oldest
  - cabal project option
- --no-reorder-goals
  - cabal project option
- --no-semaphore
  - cabal project option
- --no-strong-flags
  - cabal project option
- --null-sep
  - command line option
- --only-configure
  - command line option, [1]
- --only-dependencies
  - command line option
- --only-download
  - command line option
- --only-package-description
  - command line option
- --open
  - cabal project option
- --output-directory
  - command line option
- --package-db
  - cabal project option
  - command line option, [1]
  - runhaskell-Setup.hs-configure command line option
- --package-description-only
  - command line option
- --password
  - command line option, [1]
- --password-command
  - command line option
- --prefer-oldest
  - cabal project option
- --preference
  - cabal project option
  - command line option
- --prefix
  - runhaskell-Setup.hs-configure command line option
- --pristine
  - command line option
- --profiling-detail
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --PROG-option
  - runhaskell-Setup.hs-build command line option
  - runhaskell-Setup.hs-configure command line option
  - runhaskell-Setup.hs-repl-[COMPONENT]-[FLAGS] command line option
- --PROG-options
  - runhaskell-Setup.hs-build command line option
  - runhaskell-Setup.hs-configure command line option
  - runhaskell-Setup.hs-repl-[COMPONENT]-[FLAGS] command line option
- --program-prefix
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --program-suffix
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --project-dir
  - command line option
- --project-file
  - command line option, [1]
- --promised-dependency
  - runhaskell-Setup.hs-configure command line option
- --publish
  - command line option
- --quiet
  - command line option
- --reject-unconstrained-dependencies
  - cabal project option
- --relocatable
  - cabal project option
- --remote-repo-cache
  - cabal project option
- --reorder-goals
  - cabal project option
- --repl-no-load
  - command line option
  - runhaskell-Setup.hs-repl-[COMPONENT]-[FLAGS] command line option
- --repl-options
  - command line option
  - runhaskell-Setup.hs-repl-[COMPONENT]-[FLAGS] command line option
- --run-tests
  - cabal project option
- --save-configure
  - runhaskell-Setup.hs-clean command line option
- --semaphore
  - cabal project option
- --simple-output
  - command line option, [1]
- --snapshot
  - runhaskell-Setup.hs-sdist command line option
- --solver
  - cabal project option
- --source-repository
  - command line option
- --store-dir
  - command line option
- --strict-case
  - command line option
- --strong-flags
  - cabal project option
- --sysconfdir
  - runhaskell-Setup.hs-configure command line option
- --test-log
  - runhaskell-Setup.hs-test command line option
- --test-machine-log
  - runhaskell-Setup.hs-test command line option
- --test-option
  - runhaskell-Setup.hs-test command line option
- --test-options
  - runhaskell-Setup.hs-test command line option
- --test-show-details
  - runhaskell-Setup.hs-test command line option
- --test-wrapper
  - runhaskell-Setup.hs-test command line option
- --token
  - command line option, [1]
- --uhc
  - runhaskell-Setup.hs-configure command line option
- --user
  - runhaskell-Setup.hs-configure command line option
  - runhaskell-Setup.hs-install command line option
  - runhaskell-Setup.hs-register command line option
  - runhaskell-Setup.hs-unregister command line option
- --username
  - command line option, [1]
- --v2-freeze-file
  - command line option
- --verbose
  - command line option
  - runhaskell-Setup.hs-repl-[COMPONENT]-[FLAGS] command line option
  - setup command line option
- --with-compiler
  - command line option
  - runhaskell-Setup.hs-configure command line option
- --with-hc-pkg
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- --with-PROG
  - runhaskell-Setup.hs-configure command line option
  - runhaskell-Setup.hs-repl-[COMPONENT]-[FLAGS] command line option
- --with-repl
  - command line option
- --write-ghc-environment-files
  - cabal project option
- -a
  - command line option
- -b
  - command line option
- -c
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- -d
  - command line option, [1]
- -f
  - cabal project option
  - command line option
  - runhaskell-Setup.hs-configure command line option
- -g
  - runhaskell-Setup.hs-configure command line option
- -h
  - setup command line option
- -I
  - command line option
- -i
  - command line option, [1], [2]
- -j[NUM]
  - cabal project option
- -l
  - command line option
- -m
  - command line option
- -o
  - command line option
- -O[n]
  - cabal project option
  - runhaskell-Setup.hs-configure command line option
- -P
  - command line option
- -p
  - command line option, [1]
  - runhaskell-Setup.hs-configure command line option
- -q
  - command line option
- -s
  - runhaskell-Setup.hs-clean command line option
- -s[[head|this|...]]
  - command line option
- -t
  - command line option, [1]
- -u
  - command line option, [1]
- -v
  - runhaskell-Setup.hs-repl-[COMPONENT]-[FLAGS] command line option
- -v[n]
  - cabal project option
  - command line option
- -w
  - cabal project option
  - command line option
  - runhaskell-Setup.hs-configure command line option
- -z
  - command line option

## A

- active-repositories
  - cabal project option
- allow-boot-library-installs
  - cabal project option
- allow-newer
  - cabal project option
- allow-older
  - cabal project option
- asm-options
  - package.cabal field

- asm-sources
  - package.cabal field
- author
  - package.cabal field
- autogen-includes
  - package.cabal field
- autogen-modules
  - package.cabal field

## B

- benchmark:benchmark
  - package.cabal section
- benchmark:main-is
  - package.cabal field
- benchmark:type
  - package.cabal field
- benchmarks
  - cabal project option
- branch
  - cabal project option
- bug-reports
  - package.cabal field
- build-depends
  - package.cabal field

- build-info
  - cabal project option
- build-summary
  - cabal project option
- build-tool-depends
  - package.cabal field
- build-tools
  - package.cabal field
- build-type
  - package.cabal field
- buildable
  - package.cabal field

## C

- c-sources
  - package.cabal field
- cabal project option
  - --allow-boot-library-installs
  - --allow-newer
  - --allow-older
  - --build-summary
  - --cabal-lib-version
  - --compiler
  - --configure-option
  - --constraint
  - --count-conflicts
  - --disable-benchmarks
  - --disable-build-info
  - --disable-coverage
  - --disable-debug-info
  - --disable-documentation
  - --disable-executable-dynamic
  - --disable-executable-profiling
  - --disable-executable-static
  - --disable-executable-stripping
  - --disable-library-coverage
  - --disable-library-for-ghci
  - --disable-library-profiling
  - --disable-library-stripping
  - --disable-library-vanilla
  - --disable-optimization
  - --disable-profiling
  - --disable-shared
  - --disable-split-objs
  - --disable-split-sections
  - --disable-static
  - --disable-tests
  - --doc-index-file
  - --enable-benchmarks
  - --enable-build-info
  - --enable-coverage
  - --enable-debug-info[
  - --enable-documentation
  - --enable-executable-dynamic
  - --enable-executable-profiling
  - --enable-executable-static
  - --enable-executable-stripping
  - --enable-library-coverage
  - --enable-library-for-ghci
  - --enable-library-profiling
  - --enable-library-stripping
  - --enable-library-vanilla
  - --enable-profiling
  - --enable-shared
  - --enable-split-objs
  - --enable-split-sections
  - --enable-static
  - --enable-tests
  - --extra-framework-dirs
  - --extra-include-dirs
  - --extra-lib-dirs
  - --extra-prog-path
  - --fine-grained-conflicts
  - --flags
  - --haddock-all
  - --haddock-benchmarks
  - --haddock-contents-location
  - --haddock-css
  - --haddock-executables
  - --haddock-hoogle
  - --haddock-hscolour-css
  - --haddock-html
  - --haddock-html-location
  - --haddock-hyperlink-source
  - --haddock-internal
  - --haddock-output-dir
  - --haddock-quickjump
  - --haddock-resources-dir
  - --haddock-tests
  - --haddock-use-unicode
  - --http-transport
  - --ignore-expiry
  - --keep-going
  - --library-profiling-detail
  - --logs-dir
  - --max-backjumps
  - --minimize-conflict-set
  - --no-allow-boot-library-installs
  - --no-count-conflicts
  - --no-fine-grained-conflicts
  - --no-minimize-conflict-set
  - --no-prefer-oldest
  - --no-reorder-goals
  - --no-semaphore
  - --no-strong-flags
  - --open
  - --package-db
  - --prefer-oldest
  - --preference
  - --profiling-detail
  - --program-prefix
  - --program-suffix
  - --reject-unconstrained-dependencies
  - --relocatable
  - --remote-repo-cache
  - --reorder-goals
  - --run-tests
  - --semaphore
  - --solver
  - --strong-flags
  - --with-hc-pkg
  - --write-ghc-environment-files
  - -c
  - -f
  - -j[NUM]
  - -O[n]
  - -v[n]
  - -w
  - active-repositories
  - allow-boot-library-installs
  - allow-newer
  - allow-older
  - benchmarks
  - branch
  - build-info
  - build-summary
  - cabal-lib-version
  - compiler
  - configure-options
  - constraints
  - count-conflicts
  - coverage
  - debug-info
  - doc-index-file
  - documentation
  - executable-dynamic
  - executable-profiling
  - executable-static
  - executable-stripping
  - extra-framework-dirs
  - extra-include-dirs
  - extra-lib-dirs
  - extra-packages
  - extra-prog-path
  - fine-grained-conflicts
  - flags
  - haddock-all
  - haddock-benchmarks
  - haddock-contents-location
  - haddock-css
  - haddock-executables
  - haddock-hoogle
  - haddock-hscolour-css
  - haddock-html
  - haddock-html-location
  - haddock-hyperlink-source
  - haddock-internal
  - haddock-keep-temp-files
  - haddock-output-dir
  - haddock-quickjump
  - haddock-resources-dir
  - haddock-tests
  - haddock-use-unicode
  - http-transport
  - ignore-expiry
  - index-state
  - jobs
  - keep-going
  - library-coverage
  - library-for-ghci
  - library-profiling
  - library-profiling-detail
  - library-stripping
  - library-vanilla
  - location
  - logs-dir
  - max-backjumps
  - minimize-conflict-set
  - open
  - optimization
  - optional-packages
  - package-dbs
  - packages
  - post-checkout-command
  - prefer-oldest
  - preferences
  - profiling
  - profiling-detail
  - program-prefix
  - program-suffix
  - reject-unconstrained-dependencies
  - relocatable
  - remote-repo-cache
  - reorder-goals
  - run-tests
  - semaphore
  - shared
  - solver
  - split-objs
  - split-sections
  - static
  - strong-flags
  - subdir
  - tag
  - tests
  - type
  - verbose
  - with-compiler
  - with-hc-pkg
  - write-ghc-environment-files

- cabal-lib-version
  - cabal project option
- cabal-version
  - package.cabal field
- cabal.project section
  - package:package
  - program-options:program-options
- category
  - package.cabal field
- cc-options
  - package.cabal field
- cmm-options
  - package.cabal field
- cmm-sources
  - package.cabal field
- command line option
  - --allow-newer
  - --allow-older
  - --augment
  - --build-depends
  - --builddir
  - --config-file
  - --default-user-config
  - --destdir
  - --disable-benchmarks
  - --disable-build-info
  - --disable-multi-repl
  - --disable-tests
  - --documentation
  - --dry-run
  - --enable-build-info
  - --enable-multi-repl
  - --exit-code
  - --force
  - --freeze-file
  - --ignore, [1]
  - --ignore-case
  - --ignore-project
  - --index-state
  - --installed
  - --interactive
  - --list-only
  - --minimal
  - --minor[PKGS]
  - --no-dependencies
  - --null-sep
  - --only-configure, [1]
  - --only-dependencies
  - --only-download
  - --only-package-description
  - --output-directory
  - --package-db, [1]
  - --package-description-only
  - --password, [1]
  - --password-command
  - --preference
  - --pristine
  - --project-dir
  - --project-file, [1]
  - --publish
  - --quiet
  - --repl-no-load
  - --repl-options
  - --simple-output, [1]
  - --source-repository
  - --store-dir
  - --strict-case
  - --token, [1]
  - --username, [1]
  - --v2-freeze-file
  - --verbose
  - --with-compiler
  - --with-repl
  - -a
  - -b
  - -d, [1]
  - -f
  - -i, [1], [2]
  - -I
  - -l
  - -m
  - -o
  - -p, [1]
  - -P
  - -q
  - -s[[head|this|...]]
  - -t, [1]
  - -u, [1]
  - -v[n]
  - -w
  - -z
- common:common
  - package.cabal section
- compiler
  - cabal project option
- configure-options
  - cabal project option
- constraints
  - cabal project option
- copyright
  - package.cabal field
- count-conflicts
  - cabal project option
- coverage
  - cabal project option
- cpp-options
  - package.cabal field
- custom-setup:custom-setup
  - package.cabal section
- custom-setup:setup-depends
  - package.cabal field
- cxx-options
  - package.cabal field
- cxx-sources
  - package.cabal field

## D

- data-dir
  - package.cabal field
- data-files
  - package.cabal field
- debug-info
  - cabal project option
- default-extensions
  - package.cabal field

- default-language
  - package.cabal field
- description
  - package.cabal field
- doc-index-file
  - cabal project option
- documentation
  - cabal project option

## E

- executable-dynamic
  - cabal project option
- executable-profiling
  - cabal project option
- executable-static
  - cabal project option
- executable-stripping
  - cabal project option
- executable:executable
  - package.cabal section
- executable:main-is
  - package.cabal field
- executable:scope
  - package.cabal field
- extensions
  - package.cabal field
- extra-bundled-libraries
  - package.cabal field
- extra-doc-files
  - package.cabal field
- extra-dynamic-library-flavours
  - package.cabal field
- extra-files
  - package.cabal field
- extra-framework-dirs
  - cabal project option
  - package.cabal field

- extra-ghci-libraries
  - package.cabal field
- extra-include-dirs
  - cabal project option
- extra-lib-dirs
  - cabal project option
  - package.cabal field
- extra-lib-dirs-static
  - package.cabal field
- extra-libraries
  - package.cabal field
- extra-libraries-static
  - package.cabal field
- extra-library-flavours
  - package.cabal field
- extra-packages
  - cabal project option
- extra-prog-path
  - cabal project option
- extra-source-files
  - package.cabal field
- extra-tmp-files
  - package.cabal field

## F

- fine-grained-conflicts
  - cabal project option
- flag:default
  - package.cabal field
- flag:description
  - package.cabal field
- flag:flag
  - package.cabal section
- flag:manual
  - package.cabal field
- flags
  - cabal project option
- foreign-library:foreign-library
  - package.cabal section

- foreign-library:lib-version-info
  - package.cabal field
- foreign-library:lib-version-linux
  - package.cabal field
- foreign-library:mod-def-file
  - package.cabal field
- foreign-library:options
  - package.cabal field
- foreign-library:type
  - package.cabal field
- frameworks
  - package.cabal field

## G

- ghc-options
  - package.cabal field
- ghc-prof-options
  - package.cabal field
- ghc-prof-shared-options
  - package.cabal field
- ghc-shared-options
  - package.cabal field

- ghcjs-options
  - package.cabal field
- ghcjs-prof-options
  - package.cabal field
- ghcjs-prof-shared-options
  - package.cabal field
- ghcjs-shared-options
  - package.cabal field

## H

- haddock-all
  - cabal project option
- haddock-benchmarks
  - cabal project option
- haddock-contents-location
  - cabal project option
- haddock-css
  - cabal project option
- haddock-executables
  - cabal project option
- haddock-hoogle
  - cabal project option
- haddock-hscolour-css
  - cabal project option
- haddock-html
  - cabal project option
- haddock-html-location
  - cabal project option
- haddock-hyperlink-source
  - cabal project option
- haddock-internal
  - cabal project option

- haddock-keep-temp-files
  - cabal project option
- haddock-output-dir
  - cabal project option
- haddock-quickjump
  - cabal project option
- haddock-resources-dir
  - cabal project option
- haddock-tests
  - cabal project option
- haddock-use-unicode
  - cabal project option
- homepage
  - package.cabal field
- hs-source-dir
  - package.cabal field
- hs-source-dirs
  - package.cabal field
- hsc2hs-options
  - package.cabal field
- http-transport
  - cabal project option

## I

- ignore-expiry
  - cabal project option
- import
  - package.cabal field
- include-dirs
  - package.cabal field

- includes
  - package.cabal field
- index-state
  - cabal project option
- install-includes
  - package.cabal field

## J

- jobs
  - cabal project option
- js-sources
  - package.cabal field

- jspp-options
  - package.cabal field

## K

- keep-going
  - cabal project option

## L

- ld-options
  - package.cabal field
- library-coverage
  - cabal project option
- library-for-ghci
  - cabal project option
- library-profiling
  - cabal project option
- library-profiling-detail
  - cabal project option
- library-stripping
  - cabal project option
- library-vanilla
  - cabal project option
- library:exposed
  - package.cabal field
- library:exposed-modules
  - package.cabal field
- library:library
  - package.cabal section

- library:reexported-modules
  - package.cabal field
- library:signatures
  - package.cabal field
- library:virtual-modules
  - package.cabal field
- library:visibility
  - package.cabal field
- license
  - package.cabal field
- license-file
  - package.cabal field
- license-files
  - package.cabal field
- location
  - cabal project option
- logs-dir
  - cabal project option

## M

- maintainer
  - package.cabal field
- max-backjumps
  - cabal project option

- minimize-conflict-set
  - cabal project option
- mixins
  - package.cabal field

## N

- name
  - package.cabal field

## O

- open
  - cabal project option
- optimization
  - cabal project option
- optional-packages
  - cabal project option

- other-extensions
  - package.cabal field
- other-languages
  - package.cabal field
- other-modules
  - package.cabal field

## P

- package-dbs
  - cabal project option
- package-url
  - package.cabal field
- package.cabal field
  - asm-options
  - asm-sources
  - author
  - autogen-includes
  - autogen-modules
  - benchmark:main-is
  - benchmark:type
  - bug-reports
  - build-depends
  - build-tool-depends
  - build-tools
  - build-type
  - buildable
  - c-sources
  - cabal-version
  - category
  - cc-options
  - cmm-options
  - cmm-sources
  - copyright
  - cpp-options
  - custom-setup:setup-depends
  - cxx-options
  - cxx-sources
  - data-dir
  - data-files
  - default-extensions
  - default-language
  - description
  - executable:main-is
  - executable:scope
  - extensions
  - extra-bundled-libraries
  - extra-doc-files
  - extra-dynamic-library-flavours
  - extra-files
  - extra-framework-dirs
  - extra-ghci-libraries
  - extra-lib-dirs
  - extra-lib-dirs-static
  - extra-libraries
  - extra-libraries-static
  - extra-library-flavours
  - extra-source-files
  - extra-tmp-files
  - flag:default
  - flag:description
  - flag:manual
  - foreign-library:lib-version-info
  - foreign-library:lib-version-linux
  - foreign-library:mod-def-file
  - foreign-library:options
  - foreign-library:type
  - frameworks
  - ghc-options
  - ghc-prof-options
  - ghc-prof-shared-options
  - ghc-shared-options
  - ghcjs-options
  - ghcjs-prof-options
  - ghcjs-prof-shared-options
  - ghcjs-shared-options
  - homepage
  - hs-source-dir
  - hs-source-dirs
  - hsc2hs-options
  - import
  - include-dirs
  - includes
  - install-includes
  - js-sources
  - jspp-options
  - ld-options
  - library:exposed
  - library:exposed-modules
  - library:reexported-modules
  - library:signatures
  - library:virtual-modules
  - library:visibility
  - license
  - license-file
  - license-files
  - maintainer
  - mixins
  - name
  - other-extensions
  - other-languages
  - other-modules
  - package-url
  - pkgconfig-depends
  - source-repository:branch
  - source-repository:location
  - source-repository:module
  - source-repository:subdir
  - source-repository:tag
  - source-repository:type
  - stability
  - synopsis
  - test-suite:code-generators
  - test-suite:main-is
  - test-suite:test-module
  - test-suite:type
  - tested-with
  - version

- package.cabal section
  - benchmark:benchmark
  - common:common
  - custom-setup:custom-setup
  - executable:executable
  - flag:flag
  - foreign-library:foreign-library
  - library:library
  - source-repository:source-repository
  - test-suite:test-suite
- package:package
  - cabal.project section
- PackageInfo
- PackageInfo_
- packages
  - cabal project option
- Paths
- Paths_
- pkgconfig-depends
  - package.cabal field
- post-checkout-command
  - cabal project option
- prefer-oldest
  - cabal project option
- preferences
  - cabal project option
- profiling
  - cabal project option
- profiling-detail
  - cabal project option
- program-options:program-options
  - cabal.project section
- program-prefix
  - cabal project option
- program-suffix
  - cabal project option

## R

- reject-unconstrained-dependencies
  - cabal project option
- relocatable
  - cabal project option
- remote-repo-cache
  - cabal project option
- reorder-goals
  - cabal project option
- run-tests
  - cabal project option
- runhaskell-Setup.hs-build command line option
  - --PROG-option
  - --PROG-options
- runhaskell-Setup.hs-clean command line option
  - --save-configure
  - -s
- runhaskell-Setup.hs-configure command line option
  - --bindir
  - --cid
  - --configure-option
  - --constraint
  - --datadir
  - --datasubdir
  - --dependency
  - --disable-coverage
  - --disable-executable-dynamic
  - --disable-executable-static
  - --disable-executable-stripping
  - --disable-library-for-ghci
  - --disable-library-profiling
  - --disable-library-vanilla
  - --disable-optimization
  - --disable-profiling
  - --disable-profiling-shared
  - --disable-response-files
  - --disable-shared
  - --disable-split-objs
  - --disable-static
  - --disable-tests
  - --docdir
  - --dynlibdir
  - --enable-coverage
  - --enable-executable-dynamic
  - --enable-executable-static
  - --enable-executable-stripping
  - --enable-library-for-ghci
  - --enable-library-profiling
  - --enable-library-vanilla
  - --enable-optimization
  - --enable-profiling
  - --enable-profiling-shared
  - --enable-shared
  - --enable-split-objs
  - --enable-static
  - --enable-tests
  - --exact-configuration
  - --extra-framework-dirs
  - --extra-include-dirs
  - --extra-lib-dirs
  - --flags
  - --ghc
  - --ghcjs
  - --global
  - --haskell-suite
  - --htmldir
  - --ipid
  - --libdir
  - --libexecdir
  - --libexecsubdir
  - --library-profiling-detail
  - --libsubdir
  - --package-db
  - --prefix
  - --profiling-detail
  - --PROG-option
  - --PROG-options
  - --program-prefix
  - --program-suffix
  - --promised-dependency
  - --sysconfdir
  - --uhc
  - --user
  - --with-compiler
  - --with-hc-pkg
  - --with-PROG
  - -c
  - -f
  - -g
  - -O[n]
  - -p
  - -w

- runhaskell-Setup.hs-copy command line option
  - --destdir
- runhaskell-Setup.hs-haddock command line option
  - --css
  - --executables
  - --hoogle
  - --hscolour-css
  - --html-location
  - --hyperlink-source
  - --internal
- runhaskell-Setup.hs-hscolour command line option
  - --css
  - --executables
- runhaskell-Setup.hs-install command line option
  - --global
  - --user
- runhaskell-Setup.hs-register command line option
  - --gen-pkg-config
  - --gen-script
  - --global
  - --inplace
  - --user
- runhaskell-Setup.hs-repl-[COMPONENT]-[FLAGS] command line option
  - --builddir
  - --PROG-option
  - --PROG-options
  - --repl-no-load
  - --repl-options
  - --verbose
  - --with-PROG
  - -v
- runhaskell-Setup.hs-sdist command line option
  - --snapshot
- runhaskell-Setup.hs-test command line option
  - --benchmark-option
  - --benchmark-options
  - --builddir
  - --test-log
  - --test-machine-log
  - --test-option
  - --test-options
  - --test-show-details
  - --test-wrapper
- runhaskell-Setup.hs-unregister command line option
  - --gen-script
  - --global
  - --user

## S

- semaphore
  - cabal project option
- setup command line option
  - --help
  - --verbose
  - -h
- shared
  - cabal project option
- solver
  - cabal project option
- source-repository:branch
  - package.cabal field
- source-repository:location
  - package.cabal field
- source-repository:module
  - package.cabal field
- source-repository:source-repository
  - package.cabal section
- source-repository:subdir
  - package.cabal field

- source-repository:tag
  - package.cabal field
- source-repository:type
  - package.cabal field
- split-objs
  - cabal project option
- split-sections
  - cabal project option
- stability
  - package.cabal field
- static
  - cabal project option
- strong-flags
  - cabal project option
- subdir
  - cabal project option
- synopsis
  - package.cabal field

## T

- tag
  - cabal project option
- test-suite:code-generators
  - package.cabal field
- test-suite:main-is
  - package.cabal field
- test-suite:test-module
  - package.cabal field
- test-suite:test-suite
  - package.cabal section

- test-suite:type
  - package.cabal field
- tested-with
  - package.cabal field
- tests
  - cabal project option
- type
  - cabal project option

## V

- verbose
  - cabal project option

- version
  - package.cabal field

## W

- with-compiler
  - cabal project option
- with-hc-pkg
  - cabal project option

- write-ghc-environment-files
  - cabal project option